use crate::app::SharedApp;

use super::DomainEvents;

pub trait DomainEventsExt {
    fn domain_events(&self) -> DomainEvents;
}

impl DomainEventsExt for SharedApp {
    fn domain_events(&self) -> DomainEvents {
        DomainEvents::new(self.nats.clone())
    }
}
